IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Prefix/16
Addresses2^112
/64 networks2^48
- Network
fcc2::/16- First address
fcc2::- Last address
fcc2:ffff:ffff:ffff:ffff:ffff:ffff:ffff- Addresses
- 5,192,296,858,534,827,628,530,496,329,220,096 (2^112)
- /64 networks (LANs)
- 281,474,976,710,656 (2^48)
- Full form
fcc2:0000:0000:0000:0000:0000:0000:0000- Type
- Unique local (ULA) fc00::/7
Private IPv6, like RFC 1918; usually fd00::/8 - Reverse DNS zone
2.c.c.f.ip6.arpa
Split into smaller subnets
fcc2::/16 makes 256 subnets of /24.
| # | Subnet | Last address |
|---|---|---|
| 1 | fcc2::/24 | fcc2:ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 2 | fcc2:100::/24 | fcc2:1ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 3 | fcc2:200::/24 | fcc2:2ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 4 | fcc2:300::/24 | fcc2:3ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 5 | fcc2:400::/24 | fcc2:4ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 6 | fcc2:500::/24 | fcc2:5ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 7 | fcc2:600::/24 | fcc2:6ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 8 | fcc2:700::/24 | fcc2:7ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 9 | fcc2:800::/24 | fcc2:8ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 10 | fcc2:900::/24 | fcc2:9ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 11 | fcc2:a00::/24 | fcc2:aff:ffff:ffff:ffff:ffff:ffff:ffff |
| 12 | fcc2:b00::/24 | fcc2:bff:ffff:ffff:ffff:ffff:ffff:ffff |
| 13 | fcc2:c00::/24 | fcc2:cff:ffff:ffff:ffff:ffff:ffff:ffff |
| 14 | fcc2:d00::/24 | fcc2:dff:ffff:ffff:ffff:ffff:ffff:ffff |
| 15 | fcc2:e00::/24 | fcc2:eff:ffff:ffff:ffff:ffff:ffff:ffff |
| 16 | fcc2:f00::/24 | fcc2:fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 17 | fcc2:1000::/24 | fcc2:10ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 18 | fcc2:1100::/24 | fcc2:11ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 19 | fcc2:1200::/24 | fcc2:12ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 20 | fcc2:1300::/24 | fcc2:13ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 21 | fcc2:1400::/24 | fcc2:14ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 22 | fcc2:1500::/24 | fcc2:15ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 23 | fcc2:1600::/24 | fcc2:16ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 24 | fcc2:1700::/24 | fcc2:17ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 25 | fcc2:1800::/24 | fcc2:18ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 26 | fcc2:1900::/24 | fcc2:19ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 27 | fcc2:1a00::/24 | fcc2:1aff:ffff:ffff:ffff:ffff:ffff:ffff |
| 28 | fcc2:1b00::/24 | fcc2:1bff:ffff:ffff:ffff:ffff:ffff:ffff |
| 29 | fcc2:1c00::/24 | fcc2:1cff:ffff:ffff:ffff:ffff:ffff:ffff |
| 30 | fcc2:1d00::/24 | fcc2:1dff:ffff:ffff:ffff:ffff:ffff:ffff |
| 31 | fcc2:1e00::/24 | fcc2:1eff:ffff:ffff:ffff:ffff:ffff:ffff |
| 32 | fcc2:1f00::/24 | fcc2:1fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 33 | fcc2:2000::/24 | fcc2:20ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 34 | fcc2:2100::/24 | fcc2:21ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 35 | fcc2:2200::/24 | fcc2:22ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 36 | fcc2:2300::/24 | fcc2:23ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 37 | fcc2:2400::/24 | fcc2:24ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 38 | fcc2:2500::/24 | fcc2:25ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 39 | fcc2:2600::/24 | fcc2:26ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 40 | fcc2:2700::/24 | fcc2:27ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 41 | fcc2:2800::/24 | fcc2:28ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 42 | fcc2:2900::/24 | fcc2:29ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 43 | fcc2:2a00::/24 | fcc2:2aff:ffff:ffff:ffff:ffff:ffff:ffff |
| 44 | fcc2:2b00::/24 | fcc2:2bff:ffff:ffff:ffff:ffff:ffff:ffff |
| 45 | fcc2:2c00::/24 | fcc2:2cff:ffff:ffff:ffff:ffff:ffff:ffff |
| 46 | fcc2:2d00::/24 | fcc2:2dff:ffff:ffff:ffff:ffff:ffff:ffff |
| 47 | fcc2:2e00::/24 | fcc2:2eff:ffff:ffff:ffff:ffff:ffff:ffff |
| 48 | fcc2:2f00::/24 | fcc2:2fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 49 | fcc2:3000::/24 | fcc2:30ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 50 | fcc2:3100::/24 | fcc2:31ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 51 | fcc2:3200::/24 | fcc2:32ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 52 | fcc2:3300::/24 | fcc2:33ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 53 | fcc2:3400::/24 | fcc2:34ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 54 | fcc2:3500::/24 | fcc2:35ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 55 | fcc2:3600::/24 | fcc2:36ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 56 | fcc2:3700::/24 | fcc2:37ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 57 | fcc2:3800::/24 | fcc2:38ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 58 | fcc2:3900::/24 | fcc2:39ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 59 | fcc2:3a00::/24 | fcc2:3aff:ffff:ffff:ffff:ffff:ffff:ffff |
| 60 | fcc2:3b00::/24 | fcc2:3bff:ffff:ffff:ffff:ffff:ffff:ffff |
| 61 | fcc2:3c00::/24 | fcc2:3cff:ffff:ffff:ffff:ffff:ffff:ffff |
| 62 | fcc2:3d00::/24 | fcc2:3dff:ffff:ffff:ffff:ffff:ffff:ffff |
| 63 | fcc2:3e00::/24 | fcc2:3eff:ffff:ffff:ffff:ffff:ffff:ffff |
| 64 | fcc2:3f00::/24 | fcc2:3fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 65 | fcc2:4000::/24 | fcc2:40ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 66 | fcc2:4100::/24 | fcc2:41ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 67 | fcc2:4200::/24 | fcc2:42ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 68 | fcc2:4300::/24 | fcc2:43ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 69 | fcc2:4400::/24 | fcc2:44ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 70 | fcc2:4500::/24 | fcc2:45ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 71 | fcc2:4600::/24 | fcc2:46ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 72 | fcc2:4700::/24 | fcc2:47ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 73 | fcc2:4800::/24 | fcc2:48ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 74 | fcc2:4900::/24 | fcc2:49ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 75 | fcc2:4a00::/24 | fcc2:4aff:ffff:ffff:ffff:ffff:ffff:ffff |
| 76 | fcc2:4b00::/24 | fcc2:4bff:ffff:ffff:ffff:ffff:ffff:ffff |
| 77 | fcc2:4c00::/24 | fcc2:4cff:ffff:ffff:ffff:ffff:ffff:ffff |
| 78 | fcc2:4d00::/24 | fcc2:4dff:ffff:ffff:ffff:ffff:ffff:ffff |
| 79 | fcc2:4e00::/24 | fcc2:4eff:ffff:ffff:ffff:ffff:ffff:ffff |
| 80 | fcc2:4f00::/24 | fcc2:4fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 81 | fcc2:5000::/24 | fcc2:50ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 82 | fcc2:5100::/24 | fcc2:51ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 83 | fcc2:5200::/24 | fcc2:52ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 84 | fcc2:5300::/24 | fcc2:53ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 85 | fcc2:5400::/24 | fcc2:54ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 86 | fcc2:5500::/24 | fcc2:55ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 87 | fcc2:5600::/24 | fcc2:56ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 88 | fcc2:5700::/24 | fcc2:57ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 89 | fcc2:5800::/24 | fcc2:58ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 90 | fcc2:5900::/24 | fcc2:59ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 91 | fcc2:5a00::/24 | fcc2:5aff:ffff:ffff:ffff:ffff:ffff:ffff |
| 92 | fcc2:5b00::/24 | fcc2:5bff:ffff:ffff:ffff:ffff:ffff:ffff |
| 93 | fcc2:5c00::/24 | fcc2:5cff:ffff:ffff:ffff:ffff:ffff:ffff |
| 94 | fcc2:5d00::/24 | fcc2:5dff:ffff:ffff:ffff:ffff:ffff:ffff |
| 95 | fcc2:5e00::/24 | fcc2:5eff:ffff:ffff:ffff:ffff:ffff:ffff |
| 96 | fcc2:5f00::/24 | fcc2:5fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 97 | fcc2:6000::/24 | fcc2:60ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 98 | fcc2:6100::/24 | fcc2:61ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 99 | fcc2:6200::/24 | fcc2:62ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 100 | fcc2:6300::/24 | fcc2:63ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 101 | fcc2:6400::/24 | fcc2:64ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 102 | fcc2:6500::/24 | fcc2:65ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 103 | fcc2:6600::/24 | fcc2:66ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 104 | fcc2:6700::/24 | fcc2:67ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 105 | fcc2:6800::/24 | fcc2:68ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 106 | fcc2:6900::/24 | fcc2:69ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 107 | fcc2:6a00::/24 | fcc2:6aff:ffff:ffff:ffff:ffff:ffff:ffff |
| 108 | fcc2:6b00::/24 | fcc2:6bff:ffff:ffff:ffff:ffff:ffff:ffff |
| 109 | fcc2:6c00::/24 | fcc2:6cff:ffff:ffff:ffff:ffff:ffff:ffff |
| 110 | fcc2:6d00::/24 | fcc2:6dff:ffff:ffff:ffff:ffff:ffff:ffff |
| 111 | fcc2:6e00::/24 | fcc2:6eff:ffff:ffff:ffff:ffff:ffff:ffff |
| 112 | fcc2:6f00::/24 | fcc2:6fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 113 | fcc2:7000::/24 | fcc2:70ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 114 | fcc2:7100::/24 | fcc2:71ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 115 | fcc2:7200::/24 | fcc2:72ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 116 | fcc2:7300::/24 | fcc2:73ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 117 | fcc2:7400::/24 | fcc2:74ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 118 | fcc2:7500::/24 | fcc2:75ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 119 | fcc2:7600::/24 | fcc2:76ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 120 | fcc2:7700::/24 | fcc2:77ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 121 | fcc2:7800::/24 | fcc2:78ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 122 | fcc2:7900::/24 | fcc2:79ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 123 | fcc2:7a00::/24 | fcc2:7aff:ffff:ffff:ffff:ffff:ffff:ffff |
| 124 | fcc2:7b00::/24 | fcc2:7bff:ffff:ffff:ffff:ffff:ffff:ffff |
| 125 | fcc2:7c00::/24 | fcc2:7cff:ffff:ffff:ffff:ffff:ffff:ffff |
| 126 | fcc2:7d00::/24 | fcc2:7dff:ffff:ffff:ffff:ffff:ffff:ffff |
| 127 | fcc2:7e00::/24 | fcc2:7eff:ffff:ffff:ffff:ffff:ffff:ffff |
| 128 | fcc2:7f00::/24 | fcc2:7fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 129 | fcc2:8000::/24 | fcc2:80ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 130 | fcc2:8100::/24 | fcc2:81ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 131 | fcc2:8200::/24 | fcc2:82ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 132 | fcc2:8300::/24 | fcc2:83ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 133 | fcc2:8400::/24 | fcc2:84ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 134 | fcc2:8500::/24 | fcc2:85ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 135 | fcc2:8600::/24 | fcc2:86ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 136 | fcc2:8700::/24 | fcc2:87ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 137 | fcc2:8800::/24 | fcc2:88ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 138 | fcc2:8900::/24 | fcc2:89ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 139 | fcc2:8a00::/24 | fcc2:8aff:ffff:ffff:ffff:ffff:ffff:ffff |
| 140 | fcc2:8b00::/24 | fcc2:8bff:ffff:ffff:ffff:ffff:ffff:ffff |
| 141 | fcc2:8c00::/24 | fcc2:8cff:ffff:ffff:ffff:ffff:ffff:ffff |
| 142 | fcc2:8d00::/24 | fcc2:8dff:ffff:ffff:ffff:ffff:ffff:ffff |
| 143 | fcc2:8e00::/24 | fcc2:8eff:ffff:ffff:ffff:ffff:ffff:ffff |
| 144 | fcc2:8f00::/24 | fcc2:8fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 145 | fcc2:9000::/24 | fcc2:90ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 146 | fcc2:9100::/24 | fcc2:91ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 147 | fcc2:9200::/24 | fcc2:92ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 148 | fcc2:9300::/24 | fcc2:93ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 149 | fcc2:9400::/24 | fcc2:94ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 150 | fcc2:9500::/24 | fcc2:95ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 151 | fcc2:9600::/24 | fcc2:96ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 152 | fcc2:9700::/24 | fcc2:97ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 153 | fcc2:9800::/24 | fcc2:98ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 154 | fcc2:9900::/24 | fcc2:99ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 155 | fcc2:9a00::/24 | fcc2:9aff:ffff:ffff:ffff:ffff:ffff:ffff |
| 156 | fcc2:9b00::/24 | fcc2:9bff:ffff:ffff:ffff:ffff:ffff:ffff |
| 157 | fcc2:9c00::/24 | fcc2:9cff:ffff:ffff:ffff:ffff:ffff:ffff |
| 158 | fcc2:9d00::/24 | fcc2:9dff:ffff:ffff:ffff:ffff:ffff:ffff |
| 159 | fcc2:9e00::/24 | fcc2:9eff:ffff:ffff:ffff:ffff:ffff:ffff |
| 160 | fcc2:9f00::/24 | fcc2:9fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 161 | fcc2:a000::/24 | fcc2:a0ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 162 | fcc2:a100::/24 | fcc2:a1ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 163 | fcc2:a200::/24 | fcc2:a2ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 164 | fcc2:a300::/24 | fcc2:a3ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 165 | fcc2:a400::/24 | fcc2:a4ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 166 | fcc2:a500::/24 | fcc2:a5ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 167 | fcc2:a600::/24 | fcc2:a6ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 168 | fcc2:a700::/24 | fcc2:a7ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 169 | fcc2:a800::/24 | fcc2:a8ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 170 | fcc2:a900::/24 | fcc2:a9ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 171 | fcc2:aa00::/24 | fcc2:aaff:ffff:ffff:ffff:ffff:ffff:ffff |
| 172 | fcc2:ab00::/24 | fcc2:abff:ffff:ffff:ffff:ffff:ffff:ffff |
| 173 | fcc2:ac00::/24 | fcc2:acff:ffff:ffff:ffff:ffff:ffff:ffff |
| 174 | fcc2:ad00::/24 | fcc2:adff:ffff:ffff:ffff:ffff:ffff:ffff |
| 175 | fcc2:ae00::/24 | fcc2:aeff:ffff:ffff:ffff:ffff:ffff:ffff |
| 176 | fcc2:af00::/24 | fcc2:afff:ffff:ffff:ffff:ffff:ffff:ffff |
| 177 | fcc2:b000::/24 | fcc2:b0ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 178 | fcc2:b100::/24 | fcc2:b1ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 179 | fcc2:b200::/24 | fcc2:b2ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 180 | fcc2:b300::/24 | fcc2:b3ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 181 | fcc2:b400::/24 | fcc2:b4ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 182 | fcc2:b500::/24 | fcc2:b5ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 183 | fcc2:b600::/24 | fcc2:b6ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 184 | fcc2:b700::/24 | fcc2:b7ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 185 | fcc2:b800::/24 | fcc2:b8ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 186 | fcc2:b900::/24 | fcc2:b9ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 187 | fcc2:ba00::/24 | fcc2:baff:ffff:ffff:ffff:ffff:ffff:ffff |
| 188 | fcc2:bb00::/24 | fcc2:bbff:ffff:ffff:ffff:ffff:ffff:ffff |
| 189 | fcc2:bc00::/24 | fcc2:bcff:ffff:ffff:ffff:ffff:ffff:ffff |
| 190 | fcc2:bd00::/24 | fcc2:bdff:ffff:ffff:ffff:ffff:ffff:ffff |
| 191 | fcc2:be00::/24 | fcc2:beff:ffff:ffff:ffff:ffff:ffff:ffff |
| 192 | fcc2:bf00::/24 | fcc2:bfff:ffff:ffff:ffff:ffff:ffff:ffff |
| 193 | fcc2:c000::/24 | fcc2:c0ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 194 | fcc2:c100::/24 | fcc2:c1ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 195 | fcc2:c200::/24 | fcc2:c2ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 196 | fcc2:c300::/24 | fcc2:c3ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 197 | fcc2:c400::/24 | fcc2:c4ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 198 | fcc2:c500::/24 | fcc2:c5ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 199 | fcc2:c600::/24 | fcc2:c6ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 200 | fcc2:c700::/24 | fcc2:c7ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 201 | fcc2:c800::/24 | fcc2:c8ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 202 | fcc2:c900::/24 | fcc2:c9ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 203 | fcc2:ca00::/24 | fcc2:caff:ffff:ffff:ffff:ffff:ffff:ffff |
| 204 | fcc2:cb00::/24 | fcc2:cbff:ffff:ffff:ffff:ffff:ffff:ffff |
| 205 | fcc2:cc00::/24 | fcc2:ccff:ffff:ffff:ffff:ffff:ffff:ffff |
| 206 | fcc2:cd00::/24 | fcc2:cdff:ffff:ffff:ffff:ffff:ffff:ffff |
| 207 | fcc2:ce00::/24 | fcc2:ceff:ffff:ffff:ffff:ffff:ffff:ffff |
| 208 | fcc2:cf00::/24 | fcc2:cfff:ffff:ffff:ffff:ffff:ffff:ffff |
| 209 | fcc2:d000::/24 | fcc2:d0ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 210 | fcc2:d100::/24 | fcc2:d1ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 211 | fcc2:d200::/24 | fcc2:d2ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 212 | fcc2:d300::/24 | fcc2:d3ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 213 | fcc2:d400::/24 | fcc2:d4ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 214 | fcc2:d500::/24 | fcc2:d5ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 215 | fcc2:d600::/24 | fcc2:d6ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 216 | fcc2:d700::/24 | fcc2:d7ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 217 | fcc2:d800::/24 | fcc2:d8ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 218 | fcc2:d900::/24 | fcc2:d9ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 219 | fcc2:da00::/24 | fcc2:daff:ffff:ffff:ffff:ffff:ffff:ffff |
| 220 | fcc2:db00::/24 | fcc2:dbff:ffff:ffff:ffff:ffff:ffff:ffff |
| 221 | fcc2:dc00::/24 | fcc2:dcff:ffff:ffff:ffff:ffff:ffff:ffff |
| 222 | fcc2:dd00::/24 | fcc2:ddff:ffff:ffff:ffff:ffff:ffff:ffff |
| 223 | fcc2:de00::/24 | fcc2:deff:ffff:ffff:ffff:ffff:ffff:ffff |
| 224 | fcc2:df00::/24 | fcc2:dfff:ffff:ffff:ffff:ffff:ffff:ffff |
| 225 | fcc2:e000::/24 | fcc2:e0ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 226 | fcc2:e100::/24 | fcc2:e1ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 227 | fcc2:e200::/24 | fcc2:e2ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 228 | fcc2:e300::/24 | fcc2:e3ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 229 | fcc2:e400::/24 | fcc2:e4ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 230 | fcc2:e500::/24 | fcc2:e5ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 231 | fcc2:e600::/24 | fcc2:e6ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 232 | fcc2:e700::/24 | fcc2:e7ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 233 | fcc2:e800::/24 | fcc2:e8ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 234 | fcc2:e900::/24 | fcc2:e9ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 235 | fcc2:ea00::/24 | fcc2:eaff:ffff:ffff:ffff:ffff:ffff:ffff |
| 236 | fcc2:eb00::/24 | fcc2:ebff:ffff:ffff:ffff:ffff:ffff:ffff |
| 237 | fcc2:ec00::/24 | fcc2:ecff:ffff:ffff:ffff:ffff:ffff:ffff |
| 238 | fcc2:ed00::/24 | fcc2:edff:ffff:ffff:ffff:ffff:ffff:ffff |
| 239 | fcc2:ee00::/24 | fcc2:eeff:ffff:ffff:ffff:ffff:ffff:ffff |
| 240 | fcc2:ef00::/24 | fcc2:efff:ffff:ffff:ffff:ffff:ffff:ffff |
| 241 | fcc2:f000::/24 | fcc2:f0ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 242 | fcc2:f100::/24 | fcc2:f1ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 243 | fcc2:f200::/24 | fcc2:f2ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 244 | fcc2:f300::/24 | fcc2:f3ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 245 | fcc2:f400::/24 | fcc2:f4ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 246 | fcc2:f500::/24 | fcc2:f5ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 247 | fcc2:f600::/24 | fcc2:f6ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 248 | fcc2:f700::/24 | fcc2:f7ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 249 | fcc2:f800::/24 | fcc2:f8ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 250 | fcc2:f900::/24 | fcc2:f9ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 251 | fcc2:fa00::/24 | fcc2:faff:ffff:ffff:ffff:ffff:ffff:ffff |
| 252 | fcc2:fb00::/24 | fcc2:fbff:ffff:ffff:ffff:ffff:ffff:ffff |
| 253 | fcc2:fc00::/24 | fcc2:fcff:ffff:ffff:ffff:ffff:ffff:ffff |
| 254 | fcc2:fd00::/24 | fcc2:fdff:ffff:ffff:ffff:ffff:ffff:ffff |
| 255 | fcc2:fe00::/24 | fcc2:feff:ffff:ffff:ffff:ffff:ffff:ffff |
| 256 | fcc2:ff00::/24 | fcc2:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |